> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report

> Get a full validation report.



## OpenAPI

````yaml /openapi.json get /v1/reports/{report_id}
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/reports/{report_id}:
    get:
      tags:
        - reports
      summary: Get Report
      description: Get a full validation report.
      operationId: get_report_v1_reports__report_id__get
      parameters:
        - name: report_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Report Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReportResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        run_id:
          type: string
          format: uuid
          title: Run Id
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        project_id:
          type: string
          format: uuid
          title: Project Id
        overall_score:
          type: integer
          title: Overall Score
        coverage_score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Coverage Score
        physics_score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Physics Score
        distribution_score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Distribution Score
        sim_to_real_score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sim To Real Score
        report_json:
          type: object
          title: Report Json
        artifacts_path:
          type: string
          title: Artifacts Path
        annotated_images:
          items:
            type: string
          type: array
          title: Annotated Images
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - run_id
        - dataset_id
        - project_id
        - overall_score
        - report_json
        - artifacts_path
        - annotated_images
        - created_at
      title: ReportResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````